summaryrefslogtreecommitdiff
path: root/debian/sync-httpd.postrm
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2021-09-17 00:21:00 +0200
committerChristian Grothoff <christian@grothoff.org>2021-09-17 00:21:00 +0200
commit80fe273ef5d46e0d242017a5d1a04a5bd933c3d7 (patch)
tree2c2a0f5d512908ffbf11efb7a37e66f29eab669e /debian/sync-httpd.postrm
parent03bfa07732db97dfaa61b103e2cb30c08805d425 (diff)
downloadsync-80fe273ef5d46e0d242017a5d1a04a5bd933c3d7.tar.gz
sync-80fe273ef5d46e0d242017a5d1a04a5bd933c3d7.tar.bz2
sync-80fe273ef5d46e0d242017a5d1a04a5bd933c3d7.zip
initial debian package
Diffstat (limited to 'debian/sync-httpd.postrm')
-rw-r--r--debian/sync-httpd.postrm29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/sync-httpd.postrm b/debian/sync-httpd.postrm
new file mode 100644
index 0000000..1cd85bc
--- /dev/null
+++ b/debian/sync-httpd.postrm
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+
+if [ -f /usr/share/dbconfig-common/dpkg/postrm.pgsql ]; then
+ . /usr/share/dbconfig-common/dpkg/postrm.pgsql
+ dbc_go sync-httpd "$@"
+fi
+
+case "${1}" in
+purge)
+ rm -rf /var/lib/sync/httpd/
+ ;;
+remove | upgrade | failed-upgrade | abort-install | abort-upgrade | disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0